Subject: Re: .BASHRC-problem
From: [email-masked] (Earnie Boyd)

21 Jan 1998 01:37:42 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

Your problem has to do with the way that parent and child processes 
relate to one another.  The way that you have tested you are creating a 
child process.  The parent will not inherit the environment of the 
child.  If you want the parent to obtain the changes in the environment 
you must use "source ~/.bashrc".

Hope this helps

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

Check out these great gnu-win32 related sites:
ftp://ftp.cygnus.com/pub/gnu-win32/latest/           (ftp site)
http://www.cygnus.com/pubs/gnupro/                   (Comercial Page)
http://www.cygnus.com/misc/gnu-win32/                (Project Page)
http://www.cygnus.com/ml/gnu-win32                   (Mail Archives)
http://www.itribe.net/virtunix/winhelp-man-pages/    (HTML Man Pages)
http://www.lexa.ru/sos                               (Sergey Okhapkin)
ftp://www.lexa.ru/pub/domestic/sos/                (Sergey's ftp site)
http://www.fu.is.saga-u.ac.jp/~colin/gcc.html        (Colin Peters)
http://www.xraylith.wisc.edu/~khan/software/gnu-win32/ (Mumit Khan)
http://gnu-win32.paranoia.ru                   (Chuck Bogorad's ports)
ftp://ftp.deninc.com/pub (Den Internet Services - US mirror and ports)
http://www.bestweb.net/~aka/gnu-win32/  (GNU-Win32 Bash Configuration)

>Date: 	Thu, 15 Jan 1998 18:46:06 +0200
>From: "Juha =?ISO-8859-1?Q?J=E4ykk=E4"?= <[email-masked]>
>Reply-To: [email-masked]
>To: gnu-win32 <[email-masked]>
>Subject: .BASHRC-problem
>
>As this problem is not discussed in any of the www-help pages (that I 
cou=
>ld
>find) and I couldn't find it in archives too, I'd like to ask it here.
>  I keep losing my environment variables I set within my .bashrc. A
>screenshot of the situation may clarify this. Here you go:
>--clip--
>juhaj@IO 18:20:22 /obj>echo $PATH
>/bin
>juhaj@IO 18:20:26 /obj>cat ~/.bashrc
>#!/bin/sh.exe
>PATH=3D$PATH:/home/juhaj/bin
>export PATH
>echo Test: $PATH
>juhaj@IO 18:20:35 /obj>~/.bashrc
>Test: /bin://d/cygnus/b18/tcl/bin:/home/juhaj/bin
>juhaj@IO 18:20:42 /obj>echo $PATH
>/bin
>juhaj@IO 18:20:47 /obj>
>--clip--
>  Obviously it does not "keep" the exported variable but it also sets 
it =
>all
>wrong! Where did the "//d/cygnus/b18/tcl/bin:" part come from??? I am 
at =
>a
>total loss here. When I export variables, they should always be global, 
a=
>m I
>right? Any ideas or fixes?
>[system: NT40, intel, b18, coolview, bash-2.01]
>
>--=20
>		 -----------------------------------------------
>		| Juha J=E4ykk=E4, [email-masked]			|
>		| home: http://www.utu.fi/~juolja/		|
>		| pgp-key: http://www.utu.fi/~juolja/pgp.txt	|
>		 -----------------------------------------------
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".